#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in 

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Fhren Sie das Script app_upgrade nicht direkt aus. Zum Durchfhren eines Upgrades fr eine Anwendung, fhren Sie einen der folgenden Befehle aus:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Mit -help knnen Sie eine vollstndige Befehlsbeschreibung anzeigen."
;;

INVALID_START_DIR )
echo ""
echo "Das Script $2 muss im Verzeichnis $3 ausgefhrt werden, auer Sie verwenden den Parameter -help."
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Die Datei '$2' enthlt die Parameterwerte fr das Upgrade-Script."
echo "Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "Die folgende Gruppe von Dateien enthlt Standardparameterwerte fr ein Anwendungsupgrade. Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben."
echo "- DM-Upgrade:   $2/params/dm_params$3.sh"
echo "- VVC-Upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "Es wurde kein Anwendungstyp angegeben. Zum Durchfhren eines Upgrades fr die Anwendung, fhren Sie einen der folgenden Befehle aus:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Mit -help knnen Sie eine vollstndige Befehlsbeschreibung anzeigen."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 ist kein gltiger Anwendungstyp. Zum Durchfhren eines Upgrades fr die Anwendung, fhren Sie einen der folgenden Befehle aus:"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "Mit -help knnen Sie eine vollstndige Befehlsbeschreibung anzeigen."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Fehlender Wert fr Parameter $2."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "Das fr den Parameter $2 angegebene Verzeichnis $3 ist nicht vorhanden oder ungltig."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "Das fr den Parameter $2 angegebene Verzeichnis $3 muss ein absoluter Pfad sein."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Die fr den Parameter $2 angegebene Datei $3 ist nicht vorhanden oder ungltig."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 ist ein ungltiger Wert fr den Parameter $2."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 ist ein unbekannter Parameter."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Fehlender Parameter $2 fr das Ausgangsverzeichnis."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "Das Verzeichnis $2 ist nicht vorhanden oder ungltig."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Der repotools-Befehl '$2' fr die Anwendung wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldApplicationHome ('$3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Der repotools-Befehl '$2' fr die Anwendung wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldApplicationHome ('$3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Die Konfigurationsdatei '$2' wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldApplicationHome ('$3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Die Konfigurationsdatei '$2' wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldApplicationHome ('$3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Der repotools-Befehl '$2' fr die Anwendung wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -newApplicationHome ('$3') auf das neue Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo "Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise die Option $5 fr das Kontextstammverzeichnis  in der Anzeige Anzeige "Context Root Options" auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option $5 fr das Kontextstammverzeichnis neu installieren."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Die Konfigurationsdatei '$2' wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -newApplicationHome ('$3') auf das neue JTS-Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo "Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise die Option $5 fr das Kontextstammverzeichnis  in der Anzeige Anzeige "Context Root Options" auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option $5 fr das Kontextstammverzeichnis neu installieren."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Der repotools-Befehl '$2' fr JTS wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldJTSHome ('$3') auf das alte JTS-Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Die Konfigurationsdatei '$2' wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -oldJTSHome ('$3') auf das alte JTS-Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Der repotools-Befehl '$2' fr JTS wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -newJTSHome ('$3') auf das neue JTS-Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Die Konfigurationsdatei '$2' wurde nicht gefunden."
echo ""
echo "Stellen Sie sicher, dass der Parameter -newJTSHome ('$3') auf das neue JTS-Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsverzeichnis/server/conf', und dass der Parameter '$4' fr das JTS-Kontextstammverzeichnis korrekt ist."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Fr ein Upgrade von $2 ist eine TAR-Datei mit 2.x-Daten erforderlich."
echo "Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen."
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM-Upgrade    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC-Upgrade    ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Letzte Ausfhrung schlug im Anfangsschritt fehl..."
;;

LAST_STEP_FAILED )
echo ""
echo "Letzte Ausfhrung schlug im Schritt $2 fehl..."
echo "Soll das Upgrade bei diesem oder einem frheren Schritt neu gestartet werden?"
;;

ALREADY_RUN )
echo ""
echo "Das Upgrade wurde bereits durchgefhrt und erfolgreich beendet..."
echo "Soll ein neues Upgrade bei einem bestimmten Schritt gestartet werden?"
;;

LAST_STEP_PASSED )
echo ""
echo "Letzte Ausfhrung wurde in Schritt $2 erfolgreich gestoppt..."
echo "Soll das Upgrade bei dem aktuellen Schritt $3 oder einem frheren Schritt neu gestartet werden?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Geben Sie die Nummer des Schrittes [$2-$3] ein, bei dem das Upgrade neu gestartet werden soll, oder brechen Sie mit [Eingabetaste] ab:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' ist keine Zahl. Geben Sie eine gltige Schrittnummer ein."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' ist eine ungltige Schrittnummer. Geben Sie eine gltige Schrittnummer ein."
;;

MAX_STEP_NUMBER )
echo ""
echo "Der letzte Schritt ist Schritt $2, sodass das Upgrade nicht bei Schritt $3 neu gestartet werden kann."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Schritt $2 wurde noch nicht ausgefhrt, sodass Sie das Upgrade nicht bei Schritt $3 neu starten knnen."
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "Schritt 0: Tabellen freigeben"
echo "-----------------------------"
;;

STEP_0 )
echo "Schritt 0: Konfigurationsdateien aktualisieren"
echo "----------------------------------------------"
;;

STEP_1_ADD )
echo "Schritt 1: Tabellen hinzufgen"
echo "------------------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Schritt $2: Textindezes erneut erstellen"
echo "----------------------------------------"
;;

JFS_INDICES_STEP )
echo "Schritt $2: Abfrage und Suchindizes neu erstellen"
echo "-------------------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Schritt 2: Upgrade fr Data-Warehouse-Schema durchfhren"
echo "--------------------------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "Das Upgrade fr $2 schlug bei Schritt $3 fehl. Lsen Sie das Problem. Fhren Sie das Script dann erneut ab Schritt $3 aus."
echo "" 
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "Das Upgrade fr $2 war erfolgreich. Wenn Sie ebenfalls ein Upgrade fr JTS durchgefhrt haben, knnen Sie nun die Server in Ihrer Implementierung starten."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "Das Upgrade fr $2 war erfolgreich. Wenn Sie ebenfalls ein Upgrade fr JTS und alle abhngigen Anwendungen (wie DM) durchgefhrt haben, knnen Sie nun die Server in Ihrer Implementierung starten."
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Verzeichnis: $2"
echo "Befehl:"
;;

ENTER_STEP_ACTION )
echo "Geben Sie [E] fr die Ausfhrung dieses Schritts oder [S] zum berspringen ein oder brechen Sie die Script-Ausfhrung mit [Eingabetaste] ab."
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' ist eine ungltige Eingabe. Erlaubt sind nur 'E', 'S' oder 'Eingabetaste'."
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Ein vi-Editor wird geffnet, in dem Sie die Datei teamserver.properties von $2 berprfen knnen."
echo "Prfen Sie, ob das von der Eigenschaft com.ibm.team.repository.server.webapp.url angegebene Stammelement des ffentlichen URI stimmt."
echo "Prfen Sie, ob die Datenbankeigenschaften korrekt sind."
echo "Speichern Sie ggf. vorgenommene nderungen. Schlieen Sie dann den Editor und fahren Sie mit der Script-Ausfhrung fort."
echo ""
;;

PAUSE )
echo ""
echo "Geben Sie C ein, um die Ausfhrung fortzusetzen, oder drcken Sie die Eingabetaste, um die Script-Ausfhrung abzubrechen."
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' ist eine ungltige Eingabe. Erlaubt ist nur 'C' oder 'Eingabetaste'."
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Die Textindizes konnten nicht von '$2' in '$3' kopiert werden."
echo "Prfen Sie die Eigenschaft com.ibm.team.fulltext.indexLocation,"
echo "die in der Datei teamserver.properties definiert ist."
echo "Kopieren Sie die Textindizes manuell in dieses Verzeichnis oder fhren"
echo "Sie repotools -rebuildTextIndices aus, um die Indizes neu zu erstellen."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "Die TRS-Datenbank konnte nicht von '$2' in '$3' kopiert werden."
echo "Prfen Sie die Eigenschaft com.ibm.xtools.trs.database,"
echo "die in der Datei teamserver.properties definiert ist."
echo "Kopieren Sie die Hierarchie des TRS-Datenbankverzeichnisses manuell."
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Eine ffentliche URI ist nicht in"
echo "$3,"
echo "definiert. Das Upgrade kann daher nicht gestartet werden."
echo ""
echo "Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten:"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Die Eigenschaft com.ibm.team.repository.server.webapp.url fr den ffentlichen URI muss in der Datei teamserver.properties enthalten sein."
echo "Fgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll."
echo "Das Stammelement des ffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem funktioniert. Das Upgrade kann nur mit dieser Eigenchaft erfolgreich durchgefhrt werden.  "
echo "Weitere Informationen hierzu enthlt der Artikel 'URIs planen' im Infocenter:"
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Alle ffentlichen URIs, die in"
echo "$3,"
echo "definiert sind, sind auf Kommentar gesetzt, sodass das Upgrade nicht gestartet werden kann."
echo ""
echo "Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten, der nicht auf Kommentar gesetzt ist:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Die Eigenschaft com.ibm.team.repository.server.webapp.url fr den ffentlichen URI muss in der Datei teamserver.properties enthalten sein."
echo "Fgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll."
echo "Das Stammelement des ffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem funktioniert. Das Upgrade kann nur mit dieser Eigenchaft erfolgreich durchgefhrt werden."
echo "Weitere Informationen hierzu enthlt der Artikel 'URIs planen' im Infocenter:"
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "Das Kontextstammverzeichnis fr die JTS ist auf '$2' gesetzt."
echo "Das Kontextstammverzeichnis fr die Anwendung ist auf '$3' gesetzt."
echo "Das Kontextstammverzeichnis fr die JTS darf nicht dasselbe wie das fr die Anwendung sein."
echo ""
;;

esac

}
