#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
#   ,     .
#
# ################################################################################


# *********************
# *  messages  *
# *********************
messages() {

case $1 in 

# *********************************
# *     *
# *********************************

INVALID_LAUNCH )
echo ""
echo "   app_upgrade .         :"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "         -help."
;;

INVALID_START_DIR )
echo ""
echo "  ,     -help,  $2     $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo " '$2'      ."
echo "                     ."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "         .                       ."
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# *       *
# ************************************

#  
# ======================

MISSING_APP_TYPE )
echo ""
echo "   .         :"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "         -help."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2     .         :"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "         -help."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "    $2."
echo "     -help."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo " $3,    $2,    ."
echo "     -help."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo " $3,    $2,    ."
echo "     -help."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo " $3,    $2,    ."
echo "     -help."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 -     $2."
echo "     -help."
echo ""
;;

INVALID_PARAM )
echo ""
echo " : $2."
echo "     -help."
echo ""
;;


#  
# ======================

MISSING_HOME_PARAM )
echo ""
echo "    : $2."
echo "     -help."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo " $2    ."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "   repotools  '$2'."
echo ""
echo "  ,    -oldApplicationHome '$3'     ,  'JazzInstallDir/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "   application repotools '$2'."
echo ""
echo "  ,    -oldApplicationHome '$3'     ,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "    '$2'."
echo ""
echo "  ,    -oldApplicationHome '$3'     ,  'JazzInstallDir/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "    '$2'."
echo ""
echo "  ,    -oldApplicationHome '$3'     ,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "   application repotools '$2'."
echo ""
echo "  ,    -newApplicationHome '$3'     ,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo "    ,     .  ,   Installation Manager      $5   "  ".       ,          $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "    '$2'."
echo ""
echo "  ,    -newApplicationHome '$3'      JTS,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo "    ,     .  ,   Installation Manager      $5   "  ".       ,          $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "   JTS repotools '$2'."
echo ""
echo "  ,    -oldJTSHome '$3'      JTS,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "    '$2'."
echo ""
echo "  ,    -oldJTSHome '$3'      JTS,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "   JTS repotools '$2'."
echo ""
echo "  ,    -newJTSHome '$3'      JTS,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "    '$2'."
echo ""
echo "  ,    -newJTSHome '$3'      JTS,  'JazzInstallDir/server/conf',    jtsContextRoot '$4'  ."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "  $2   tar,   2.x."
echo "     -help."
echo ""
;;


# ***********************
# * .   *
# ***********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===     DM    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===     VVC     ==="
echo "============================================"
echo ""
;;


# **************************
# * .   *
# **************************

INITIAL_STEP_FAILED )
echo ""
echo "        ..."
;;

LAST_STEP_FAILED )
echo ""
echo "        $2..."
echo "       ?"
;;

ALREADY_RUN )
echo ""
echo "    ..."
echo "      ?"
;;

LAST_STEP_PASSED )
echo ""
echo "       $2..."
echo "     ($3)   ?"
;;

ENTER_NEXT_STEP )
echo ""
echo "   [$2-$3]       [Enter]  :"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2'   .    ."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' -   .    ."
;;

MAX_STEP_NUMBER )
echo ""
echo "   $2,       $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "    $2,       $3."
;;


# ***********************
# *    *
# ***********************

STEP_0_IBMi )
echo " 0:  "
echo "----------------------"
;;

STEP_0 )
echo " 0:   "
echo "---------------------------"
;;

STEP_1_ADD )
echo " 1:  "
echo "------------------"
;;

FULL_TEXT_INDICES_STEP )
echo " $2:    "
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo " $2:      "
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo " 2:    "
echo "-------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "   $2     $3.       ,    $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo " $2  .     JTS,        ."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo " $2  .      JTS     (, DM),        ."
echo ""
;;

# *******************************
# *     *
# *******************************

STEP_DIR_CMD )
echo ""
echo ": $2"
echo ":"
;;

ENTER_STEP_ACTION )
echo " [E]    , [S]      [Enter]    :"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' -  ,  'E', 'S'   'Enter'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "   vi,      teamserver.properties $2."
echo "   URI,    com.ibm.team.repository.server.webapp.url."
echo "    ."
echo "   (  )       ."
echo ""
;;

PAUSE )
echo ""
echo " [C]     [Enter]   :"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "  '$2' .  'C'   'Enter'"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "      '$2'  '$3'."
echo "  com.ibm.team.fulltext.indexLocation,"
echo "   teamserver.properties."
echo "      "
echo "   repotools -rebuildTextIndices    ."
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "     TRS  '$2'  '$3'."
echo "  com.ibm.xtools.trs.database,"
echo "   teamserver.properties."
echo "     TRS ."
echo ""
;;

# *****************************************
# *     URI    *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo " URI   "
echo "$3,"
echo "   ."
echo ""
echo "      URI   :"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "  teamserver.properties      URI, com.ibm.team.repository.server.webapp.url."
echo "     teamserver.properties        URI,       ."
echo "  URI       .        .  "
echo "      InfoCenter,  ' URI'."
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "  URI,  "
echo "$3,"
echo "  ,    ."
echo ""
echo "        URI    :"
echo "https/://-.example.com/:/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "  teamserver.properties      URI, com.ibm.team.repository.server.webapp.url."
echo "     teamserver.properties        URI,       ."
echo "  URI       .        ."
echo "      InfoCenter,  ' URI'."
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "     JTS  '$2'."
echo "       '$3'."
echo "   jts     ."
echo ""
;;

esac

}
