#!/bin/sh
# *******************************************************************************
#  Licenc hatálya alá eső anyagok - Az IBM tulajdona
#  (c) Copyright IBM Corporation 2012. Minden jog fenntartva.
#
#  Megjegyzés az Egyesült Államokhoz kormányzati felhasználóira vonatkozó
#  korlátozott jogokhoz: A használatot, sokszorosítást vagy közzétételt az
#  IBM vállalattal kötött GSA ADP Schedule Contract szerződés szabályozza
# *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Adja meg a környezeti változókat, amelyek megfelelnek a
# # dm_upgrade.sh parancsfájl paramétereinek, és azok alapértelmezett értékeit
# #
# #===========================================================
# #
# # Ezt a fájlt a dm_upgrade.sh parancsfájl végrehajtásának
# # kezdetekor olvassa a rendszer. Egy környezeti változót állít be
# # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
# #
# # A felhasználók módosíthatják az alapértelmezett értéket a
# # dm_upgrade.sh saját értékekkel való indításához,
# # anélkül, hogy meg kellene adniuk a paramétert és a
# # megfelelő értéküket a parancssorban.
# #
# # FIGYELMEZTETÉS:
# # Nem minden változót szükséges beállítani minden
# # alkalmazáshoz. Olvasson el figyelmesen minden megjegyzést az
# # érték módosítása előtt.
# #
# #############################################################

# Paraméter: -oldApplicationHome
# Használat: -oldApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás alapkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Constraints:
#  - ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /opt/ibm/JazzInstallDir/server/conf
#
OLD_APPLICATION_HOME=

# Paraméter: -applicationContextRoot
# Használat: -applicationContextRoot <gyökér>
# Leírás:
# 	Az alkalmazás kontextusgyökere.
# Alapértelmezés:
# 	dm
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnév kell, hogy legyen (azaz ne tartalmazzon kezdő perjelet)
#
APPLICATION_CONTEXT_ROOT=dm

# Paraméter: -oldApplicationVersion
# Használat: -oldApplicationVersion <változat>
# Leírás:
# 	A frissítésre kerülő DM változat. Alapértelmezés szerint ez a régi alkalmazáson a
#   repotools -version parancs futtatásával határozható meg.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - teljes verzió karaktersorozatnak kell lennie
#    például 4.0
#
OLD_APPLICATION_VERSION=

# Paraméter: -newApplicationHome
# Használat: -newApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás alapkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	<aktuális_könyvtár>/conf
# Megszorítások:
#  - ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /opt/ibm/JazzInstallDir/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Paraméter: -updateAppServerFiles
# Használat: -updateAppServerFiles <yes | no>
# Leírás:
#   Frissíteni kell-e az alapértelmezett alkalmazáskiszolgáló (WebSphere Liberty) konfigurációs fájljait.
# Alapértelmezés:
#   yes
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'yes' és 'no'
#
UPDATE_APPSERVER_FILES=yes

# Paraméter: -updateTomcatFiles
# Használat: -updateTomcatFiles <yes | no>
# Leírás:
#   Frissíteni kell-e a tomcat konfigurációs fájlokat.
# Alapértelmezés:
#   no
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'yes' és 'no'
#
UPDATE_TOMCAT_FILES=no

# Paraméter: -oldApplicationTomcatHome
# Használat: -oldApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Létező könyvtárnak kell lennie
#
OLD_APP_TOMCAT_HOME=

# Paraméter: -newApplicationTomcatHome
# Használat: -newApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás Tomcat gyökérkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	<nincs>
#
NEW_APP_TOMCAT_HOME=

# Paraméter: -newJTSHome
# Használat: -newJTSHome <könyvtár útvonala>
# Leírás:
# 	Az új telepítés által használt JTS kiszolgáló konfigurációs könyvtárának útvonala.
# Alapértelmezés:
# 	Az új alkalmazás saját könyvtára
# Megszorítások:
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server\conf'
#
NEW_JTS_HOME=

# Paraméter: -jtsContextRoot
# Használat: -jtsContextRoot <gyökér>
# Leírás:
# 	A JTS kiszolgáló kontextusgyökere.
# Alapértelmezés:
# 	jts
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnév kell, hogy legyen (azaz ne tartalmazzon kezdő perjelet)
#
JTS_CONTEXT_ROOT=jts

# Paraméter: -noPrompt
# Használat: -noPrompt
# Leírás:
# 	Ne kérdezzen rá a táblák létrehozása vagy módosítása előtt
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Paraméter: -noVerify
# Használat: -noVerify
# Leírás:
# 	Ne hajtsa végre a teamserver.properties fájlok ellenőrzését.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Paraméter: -overwrite
# Használat: -overwrite
# Leírás:
# 	Felülírjon-e bármilyen létező fájlt?
# Alapértelmezés:
# 	no
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: üres vagy 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Paraméter: -noStepPrompt
# Használat: -noStepPrompt
# Leírás:
# 	Ne kérdezzen rá egy lépés végrehajtása előtt.
# Alapértelmezés:
# 	false
# Megszorítások:
# - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
